Lavalite package that provides financial_plan management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `moblyze/financial_plan`.

    "moblyze/financial_plan": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Moblyze\FinancialPlan\Providers\FinancialPlanServiceProvider::class,

And also add it to alias

    'FinancialPlan'  => Moblyze\FinancialPlan\Facades\FinancialPlan::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Moblyze\\FinancialPlanTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\FinancialPlan\Providers\FinancialPlanServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\FinancialPlan\Providers\FinancialPlanServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\FinancialPlan\Providers\FinancialPlanServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/financial_plan/{modulename}

**User**

    http://path-to-route-folder/user/financial_plan/{modulename}

**Public**

    http://path-to-route-folder/financial_plans


### API endpoints

**List**

    http://path-to-route-folder/api/user/financial_plan/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/financial_plan/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/financial_plan/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/financial_plan/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/financial_plan/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/financial_plan/{modulename}/{slug}
    METHOD: GET