<?php

// API routes  for financial_plan
Route::prefix('{guard}/financial_plan')->group(function () {
    Route::get('financial_plan/form/{element}', 'FinancialPlanAPIController@form');
    Route::resource('financial_plan', 'FinancialPlanAPIController');
});

// Public routes for financial_plan
Route::get('financial_plans/', 'FinancialPlanPublicController@index');
Route::get('financial_plans/{slug?}', 'FinancialPlanPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for financial_plans
            Route::prefix('{guard}/financial_plan')->group(function () {
                Route::get('financial_plan/form/{element}', 'FinancialPlanAPIController@form');
                Route::apiResource('financial_plan', 'FinancialPlanAPIController');
            });
            // Public routes for financial_plans
            Route::get('financial_plan/FinancialPlan', 'FinancialPlanPublicController@getFinancialPlan');
        }
    );
}

