<?php

// web routes  for financial_plan
Route::prefix('{guard}/financial_plan')->group(function () {
    Route::resource('financial_plan', 'FinancialPlanResourceController');
});

// Public routes for financial_plan
Route::get('financial_plans/', 'FinancialPlanPublicController@index');
Route::get('financial_plans/{slug?}', 'FinancialPlanPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'FinancialPlanResourceController');
            });
            // Public routes for pages
            Route::get('financial_plans/', 'FinancialPlanPublicController@index');
            Route::get('financial_plans/{slug?}', 'FinancialPlanPublicController@show');
        }
    );
}

