<?php

namespace Moblyze\FinancialPlan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FinancialPlanTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\FinancialPlan\Models\FinancialPlan $financial_plan)
    {
        return [
            'id'                => $financial_plan->getRouteKey(),
            'key'               => [
                'public'    => $financial_plan->getPublicKey(),
                'route'     => $financial_plan->getRouteKey(),
            ], 
            'name'              => $financial_plan->name,
            'no_of_year'        => $financial_plan->no_of_year,
            'start_date'        => $financial_plan->start_date,
            'start_year'        => $financial_plan->start_year,
            'slack'             => $financial_plan->slack,
            'cpi'               => $financial_plan->cpi,
            'priority'          => $financial_plan->priority,
            'url'               => [
                'public'    => trans_url('financial_plan/'.$financial_plan->getPublicKey()),
                'user'      => guard_url('financial_plan/financial_plan/'.$financial_plan->getRouteKey()),
            ], 
            'status'            => trans('app.'.$financial_plan->status),
            'created_at'        => format_date($financial_plan->created_at),
            'updated_at'        => format_date($financial_plan->updated_at),
        ];
    }
}